Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class MoveMessageRequest

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.MoveMessageRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class MoveMessageRequest extends Object implements Serializable

Java class for MoveMessageRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MoveMessageRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
             <element name="Source">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="INBOX"/>
                   <enumeration value="SENTBOX"/>
                   <enumeration value="BININBOX"/>
                   <enumeration value="BINSENTBOX"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Destination">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="INBOX"/>
                   <enumeration value="SENTBOX"/>
                   <enumeration value="BININBOX"/>
                   <enumeration value="BINSENTBOX"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType" maxOccurs="100"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveMessageRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoxIdType`
  `getBoxId()`
  Use another of my ehBoxes
  `String`
  `getDestination()`
  User specifies where the message must be placed
  `List<String>`
  `getMessageIds()`
  User can specify many messageId's Gets the value of the messageIds property.
  `String`
  `getSource()`
  User specifies where the message must be moved from
  `void`
  `setBoxId(BoxIdType value)`
  Sets the value of the boxId property.
  `void`
  `setDestination(String value)`
  Sets the value of the destination property.
  `void`
  `setSource(String value)`
  Sets the value of the source property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MoveMessageRequest

    public MoveMessageRequest()

- ## Method Details

  - ### getBoxId

    public BoxIdType getBoxId()
    Use another of my ehBoxes
    Returns:
      possible object is `BoxIdType`

  - ### setBoxId

    public void setBoxId(BoxIdType value)
    Sets the value of the boxId property.
    Parameters:
      `value` - allowed object is `BoxIdType`
    See Also:
      - `getBoxId()`

  - ### getSource

    public String getSource()
    User specifies where the message must be moved from
    Returns:
      possible object is `String`

  - ### setSource

    public void setSource(String value)
    Sets the value of the source property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSource()`

  - ### getDestination

    public String getDestination()
    User specifies where the message must be placed
    Returns:
      possible object is `String`

  - ### setDestination

    public void setDestination(String value)
    Sets the value of the destination property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDestination()`

  - ### getMessageIds

    public List<String> getMessageIds()
    User can specify many messageId's Gets the value of the messageIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageIds property.

    For example, to add a new item, do as follows:

         getMessageIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the messageIds property.